Page MenuHomePhabricator

Deep link action should open a new tab
Closed, ResolvedPublicBug

Description

Steps to reproduce

  1. Open https://etherpad.wikimedia.org/p/DeepLinkForTests on a web browser app
  2. Tap on the first link to open the app to read the article

Expected results

Opens a new tab

Actual results

Replaces the top-most article

Related Objects

Event Timeline

cooltey created this task.May 31 2019, 11:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 31 2019, 11:10 PM

This is expected behavior, based on the design flowchart: https://whimsical.com/YRn3gsVdoiV814FbNTpMGE

@schoenbaechler can you confirm?

Yes, it’s expected behavior @Dbrant @cooltey. Let’s observe this via pulse sheet (“No love for new tab behavior”).

Thanks @cooltey, one thing that @Dbrant and I discussed a while ago when we improved the navigation model (T222056). We don’t want to lead users out of the app with the app’s back button when they come from Chrome. Only the system back button should take users back to Chrome in that scenario:

@schoenbaechler The system back button only works on a fresh launch as expected. I feel that it will be too much code to maintain, in order to detect a deep-link launch and behave differently. Posting this video so you are aware of a non-fresh launch:
https://youtu.be/y78VDTH043g

ABorbaWMF added a subscriber: ABorbaWMF.

Looks good to me on 2.7.50282-alpha-2019-07-09

Dbrant closed this task as Resolved.Jul 11 2019, 3:51 PM